import axios from "@/util/ajax";

export default {
  // 停车饱和预警-饱和度
  tcbhyj(params) {
    return axios.post('/dash/saturation/warning/stat1', params)
  },
  // todo 停车饱和预警-网格化停车饱和预警
  wghtcbhyj(params) {
    return axios.post('/dash/saturation/warning/page', params)
  },
  // todo 车辆迁徙分析
  // 停车缺口分析-停车缺口分析
  tcqkfx(params) {
    return axios.post('/dash/gap/analysis/stat1', params)
  },
  // 停车缺口分析-停车缺口变化趋势
  tcqkbhqs(params) {
    return axios.post('/dash/gap/analysis/stat2', params)
  },
  // todo 停车难易指数-地图难易指数
  dtnyzs(params) {
    return axios.post('/dash/park/easy/stat', params)
  },
  // todo 停车难易指数-折线图
  zxt(params) {
    return axios.post('/dash/park/easy/page', params)
  },
  // 全局停车诱导-地图难易指数
  nyzs(params) {
    return axios.post('/dash/park/guidance/stat', params)
  },
  // todo 全局停车诱导-统计
  nyzstj(params) {
    return axios.post('/dash/park/guidance/page', params)
  },
  // todo 区域停车发展分析
  // 路内泊位设置推荐- 停车缺口 /dash/berth/recommend/stat1
  lntcqk(params) {
    return axios.post('/dash/berth/recommend/stat1', params)
  },
  // 路内泊位设置推荐- 路内泊位
  lnbw(params) {
    return axios.post('/dash/berth/recommend/page', params)
  },
  // 其他分析-区域分析
  qyfx(params) {
    return axios.post('/dash/other/analyse/stat1', params)
  },
  // todo 其他分析-重点车辆分析
  zdclfx(params) {
    return axios.post('/dash/other/analyse/stat10', params)
  },
  // 其他分析-车场数量
  ccsl(params) {
    return axios.post('/dash/other/analyse/stat2', params)
  },
  // 其他分析-停车分布分析
  tcfbfx(params) {
    return axios.post('/dash/other/analyse/stat3', params)
  },
  // 其他分析-余位分析
  ywfx(params) {
    return axios.post('/dash/other/analyse/stat4', params)
  },
  // todo 其他分析-停车热点分析
  tcrdfx(params) {
    return axios.post('/dash/other/analyse/stat5', params)
  },
  // 其他分析-车流量分析
  cllfx(params) {
    return axios.post('/dash/other/analyse/stat6', params)
  },
  // 其他分析-低利用率停车场分析图表配置
  dlyltcc(params) {
    return axios.post('/dash/other/analyse/stat7', params)
  },
  // todo 其他分析-高峰路线分析
  gflxfx(params) {
    return axios.post('/dash/other/analyse/stat8', params)
  },
  // 其他分析-重点车辆进场占比
  zdcljcfx(params) {
    return axios.post('/dash/other/analyse/stat9', params)
  },
  // todo 服务发布
  serviceListByPage(params) {
    return axios.get('/dash/service/publish/page', {params})
  },
  servicePublic(params) {
    return axios.post('/dash/service/publish/publish', params)
  },
  serviceSave(params) {
    return axios.post('/dash/service/publish/save', params)
  },
  // todo 公告功能
  announcementListByPage(params) {
    return axios.get('/dash/announcement/function/page', {params})
  },
  announcementPublic(params) {
    return axios.post('/dash/announcement/function/publish', params)
  },
  announcementSave(params) {
    return axios.post('/dash/announcement/function/save', params)
  },
  // todo 消息中心
  messageListByPage(params) {
    return axios.post('/dash/message/page', {params})
  },
  // todo 服务监控
  monitorListByPage(params) {
    return axios.get('/dash/service/monitor/page', {params})
  },
  // todo 凭证管理
  pzglListByPage(params) {
    return axios.get('/dash/credential/management/function/page', {params})
  },
  deletePz(params) {
    return axios.post('/dash/credential/management/function/delete', params)
  },
  addPz(params) {
    return axios.post('/dash/credential/management/function/save', params)
  },
  // todo 服务订阅
  subscription(params) {
    return axios.post('/dash/service/subscription/function/subscription', params)
  },
  unsubscription(params) {
    return axios.post('/dash/service/subscription/function/unsubscription', params)
  },
  // IP白名单-列表接口
  ipListByPage(params) {
    return axios.get('/dash/ip/white/list/page', {params})
  },
  // IP白名单-删除接口
  deleteWhiteIp(params) {
    return axios.post('/dash/ip/white/list/delete', params)
  },
  // IP白名单-新增接口
  addWhiteIp(params) {
    return axios.post('/dash/ip/white/list/save', params)
  },
  // todo 服务调用功能
  fwdy(params) {
    return axios.post('/dash/service/call/function/call', params)
  },
  // todo 操作日志功能
  czrzListByPage(params) {
    return axios.get('/dash/operation/log/page', {params})
  },
  czrzDetail(params) {
    return axios.post('/dash/operation/log/detail', params)
  },
  // 申请列表
  applyList(params) {
    return axios.get('/resourceApply/selectBackedApplyList', {params});
  },
  // 审核
  applyResource(params) {
    return axios.post('/resourceApply/approveApply', params);
  }

}
