// 文章
import axios from "../util/ajax";

export default {
  //停车盲点挖掘
  queryBlindContext(params) {
    return axios.post(`/dash/blind/spot/digging/stat1`, params)
  },
  //路内泊位设置推荐
  queryBerthContext(params) {
    return axios.post(`/dash/berth/recommend/page`, params)
  },
  //路内泊位设置推荐
  queryGapMapContext(params) {
    return axios.post(`/dash/gap/analysis/stat1`, params)
  },

  // todo 设备运营主题(地图)
  queryServiceMap(params) {
    return axios.post(`/dash/service/operations/page`, params)
  },
  // todo 区域停车主题_区域饱和度
  queryParkingArea_Qybhd(params) {
    return axios.post(`/dash/parking/area/stat1`, params)
  },
  // todo 区域停车主题_停车热度时空分布
  queryParkingArea_Tcrdskfb(params) {
    return axios.post(`/dash/parking/area/stat3`, params)
  },
  // 区域停车主题_停车饱和度
  queryParkingOperate_Tcbhd(params) {
    return axios.post(`/dash/parking/operate/stat1`, params)
  },
  // 区域停车主题_停车场周转率分析
  queryParkingOperate_Tczzlfx(params) {
    return axios.post(`/dash/parking/operate/stat2`, params)
  },
  // 区域停车主题_停车场营收分析
  queryParkingOperate_Tccysfx(params) {
    return axios.post(`/dash/parking/operate/stat3`, params)
  },
  // 区域停车主题_特殊车辆进场占比
  queryParkingOperate_Tscljczb(params) {
    return axios.post(`/dash/parking/operate/stat4`, params)
  },
  // 区域停车主题_车辆进出场趋势
  queryParkingOperate_Cljccqs(params) {
    return axios.post(`/dash/parking/operate/stat5`, params)
  },
  // 区域停车主题_停车场营收对比分析
  queryParkingOperate_Tccysdbfx(params) {
    return axios.post(`/dash/parking/operate/stat6`, params)
  },
  // 区域停车主题_泊位盈余情况
  queryBerthPerationNalysis_Bwyyqk(params) {
    return axios.post(`/dash/berth/peration/nalysis/surplus`, params)
  },
  // 区域停车主题_泊位周转率分析
  queryBerthPerationNalysis_Bwzzlfx(params) {
    return axios.post(`/dash/berth/peration/nalysis/turnover`, params)
  },
  // 收费价格监管_收费单价分析
  queryChargePrice_Sfdjfx(params) {
    return axios.post(`/dash/charge/price/stat`, params)
  },
  //客户投诉监管_客诉分析
  queryCustomerComplaint_Ksfx(params) {
    return axios.post(`/dash/customer/complaint/stat`, params)
  },
  //设备运行监测_摄像头
  queryEquipmentRunning_Sxt(params) {
    return axios.post(`/dash/equipment/running/stat1`, params)
  },
  //设备运行监测_闸机
  queryEquipmentRunning_Zj(params) {
    return axios.post(`/dash/equipment/running/stat2`, params)
  },
  //设备运行监测_满位显示器
  queryEquipmentRunning_Mwxsq(params) {
    return axios.post(`/dash/equipment/running/stat3`, params)
  },
  //技术支持功能_查询
  getSupport_get(params) {
    return axios.get(`/dash/support/page`, {params})
  },
  //技术支持功能_添加
  addSupport_save(params) {
    return axios.post(`/dash/support/save`, params)
  },
  //技术支持功能_删除
  deleteSupport_delete(params) {
    return axios.post(`/dash/support/delete`, params)
  },
}
